#include "qimgarea.h"

#include <QPalette>
#include <QPainter>
#include <QMouseEvent>

QImgArea::QImgArea(QWidget *parent) : QWidget(parent)
{
    //
    //update();
}

void QImgArea::paintEvent(QPaintEvent *e)
{
    Q_UNUSED(e);

    int penWidth =1;
    QPainter qp(this);
    QPalette pal(palette());

    pal.setColor(QPalette::Background, Qt::green);
    setAutoFillBackground(true);
    setPalette(pal);

    QPen qpen(Qt::black, penWidth, Qt::SolidLine);
    qp.setPen(qpen);
    qp.drawRect(0,0, frameSize().rwidth()-penWidth,frameSize().rheight()-penWidth);
    //
    setMouseTracking(true);
}

void QImgArea::mouseMoveEvent(QMouseEvent *mev)
{
    newTitle = QStringLiteral("ImgArea coordinates: x = %1, y = %2").arg(mev->x()).arg(mev->y());
    //
    emit newWindowTitle(newTitle);
}
