#include "subarea.h"
#include "ui_subarea.h"
#include "qimgarea.h"

#include <QMouseEvent>

SubArea::SubArea(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::SubArea)
{
    ui->setupUi(this);
    setMouseTracking(true);
    //
    connect(ui->wgImg,&QImgArea::newWindowTitle, this, &SubArea::winTitleChanged);
    connect(this,&SubArea::newWindowTitleS, this, &SubArea::winTitleChanged);
}

void SubArea::winTitleChanged(QString &newTitle)
{
    setWindowTitle(newTitle);
}

void SubArea::mouseMoveEvent(QMouseEvent *mev)
{
    newTitle = QStringLiteral("SubArea coordinates: x = %1, y = %2").arg(mev->x()).arg(mev->y());
    //
    emit newWindowTitleS(newTitle);
}

SubArea::~SubArea()
{
    delete ui;
}
