#ifndef SUBAREA_H
#define SUBAREA_H

#include <QWidget>
#include <QMouseEvent>

namespace Ui {
class SubArea;
}

class SubArea : public QWidget
{
    Q_OBJECT

public:
    explicit SubArea(QWidget *parent = 0);
    ~SubArea();

signals:
    void newWindowTitleS(QString &newTitle);

public slots:
    void winTitleChanged(QString &newTitle);

protected:
    void mouseMoveEvent(QMouseEvent *mev);

private:
    Ui::SubArea *ui;
    //
    QString newTitle;
};

#endif // SUBAREA_H
